task trimmomatic {
	File read1
	File read2
	File adapter
	String baseout
    String baseout_gz = baseout + ".fq.gz"
	String docker
	String cluster
	String disk_size

	command <<<
			nt=$(nproc)
           /opt/conda/bin/trimmomatic PE -threads $nt -phred33 ${read1} ${read2} -baseout ${baseout_gz} ILLUMINACLIP:${adapter}:2:30:10:1:true HEADCROP:10 LEADING:10 TRAILING:10 SLIDINGWINDOW:4:15 MINLEN:36
        >>>

		runtime {
			docker: docker
			cluster: cluster
			systemDisk: "cloud_ssd 40"
			dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

        output {
           File read_1p = baseout + ".1P.fq.gz"
           File read_2p = baseout + ".2P.fq.gz"
	}
}
